#include<bits/stdc++.h>
using namespace std;
int t; long long n; int a[30005], b[30005], br;
int main(){
    scanf("%d", &t);
    while(t--){
        scanf("%d", &n);
        for(int i = 1; i <= n; i++) scanf("%d", &a[i]);
        for(int i = 1; i <= n; i++) scanf("%d", &b[i]);
        for(int i = 1; i <= n; i++){
            cout<<"DA"<<endl;
        }
    }
    return 0;
}